System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

The class allows a object to specify the type of the associated object. The class is used to create design-time providers for reading and writing resources. Within vsprvsext, a developer can use the Generate Local Resource command on the Tools menu to create resources during design time.

Specifies the type of resource provider factory for design time. This class cannot be inherited.

- Constructor

  The attribute is set to .

  Initializes a new instance of the class with the attribute set to the specified factory type name.

  The name of the resource provider factory type.
  2.0.0.0
- Constructor

  The property is set to the property value of the parameter.

  Initializes a new instance of the class with the attribute set to the qualified name of the specified factory type.

  The type of the resource provider factory.
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the value of the factory type name.

  2.0.0.0
- Method
  System.Boolean To be added.

  Determines whether the default provider is used.

  true if equals null; otherwise, false.

  2.0.0.0